# Package org.h2.message

Trace (logging facility) and error message tool.

See: Description

Class Summary
Class | Description
--- | ---
Trace | This class represents a trace module.
TraceObject | The base class for objects that can print trace information about themselves.
TraceSystem | The trace mechanism is the logging facility of this database.
TraceWriterAdapter | This adapter sends log output to SLF4J.

Exception Summary
Exception | Description
--- | ---
DbException | This exception wraps a checked exception.

## Package org.h2.message Description

Trace (logging facility) and error message tool.